IPCS(1)

NOM
ipcs - Montrer des renseignements sur l'utilisation des ressources IPC

SYNOPSIS
ipcs [options]

DESCRIPTION
ipcs montre des renseignements sur les ressources de communication interprocessus (IPC) pour lesquelles le processus appelant a accès en lecture. Par défaut, elle montre des renseignements en entier sur les trois ressources : segments de mémoire partagée, files de messages et tableaux de sémaphores.

OPTIONS

-i, --id id
    Montrer tous les détails sur le seul élément de ressource identifié par id. Cette option doit être combinée avec une des trois options de ressource : -m, -q ou -s.

-h, --help
    Afficher un texte d'aide puis quitter.

-V, --version
    Afficher les informations sur la version et quitter.

  Options de ressource

-m, --shmems
    Écrire les renseignements sur les segments de mémoire partagée actifs.

-q, --queues
    Écrire les renseignements sur les files de messages actives.

-s, --semaphores
    Écrire les renseignements sur les ensembles de sémaphores actifs.

-a, --all
    Écrire les renseignements sur toutes les trois ressources (par défaut).

  Formats de sortie
Une seule de ces options sera prise en compte : la dernière indiquée.

-c, --creator
    Montrer le créateur et le propriétaire.

-l, --limits
    Montrer les limites de ressource.

-p, --pid
    Montrer les PID de créateur et de dernier opérateur.

-t, --time
    Écrire les renseignements d’heure. L’heure de la dernière opération de contrôle qui a modifié les droits d’accès à toutes les ressources, l’heure des dernières opérations msgsnd() et msgrcv() sur les files de messages, l’heure des dernières opérations shmat() et shmdt() sur la mémoire partagée et l’heure de la dernière opération semop() sur les sémaphores.

-u, --summary
    Montrer un résumé de l’état.

  Représentation
Ceci n’affecte que l’option -l (--limits).

-b, --bytes
    Afficher les tailles en octet.

--human
    Afficher les tailles en format lisible.

VOIR AUSSI
ipcrm(1), ipcmk(1), msgrcv(2), msgsnd(2), semget(2), semop(2), shmat(2), shmdt(2), shmget(2)

CONFORMITÉ
L'utilitaire ipcs Linux n'est pas totalement compatible avec l'utilitaire ipcs POSIX. La version Linux ne gère pas les options -a, -b et -o de POSIX, mais gère les options -l et -u non définies dans POSIX. Une application portable ne doit pas utiliser les options -a, -b, -o, -l ni -u.

AUTEUR
Krishna Balasubramanian (balasub@cis.ohio-state.edu)

DISPONIBILITÉ
La commande ipcs fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite par Thierry Vignaud <tvignaud AT mandriva DOT com> en 1999. La version présente dans Debian est maintenue par Philippe Piette <foudre-blanche AT skynet DOT be> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.